/*  This file is part of the KDE project
    Copyright (C) 2005-2006 ROAD Gmbh <info@road-gmbh.de>
    Copyright (C) 2005-2006 basysKom Gmbh <info@basyskom.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

    As a special exception this program may be linked with Qt non-commercial 
    edition, the resulting executable be distributed, without including the 
    source code for the Qt non-commercial edition in the source distribution.

*/

#include "pagedialog.h"

#include <qlayout.h>

PageDialog::PageDialog(QWidget *parent, const char * name, bool modal) 
    : QDialog( parent, name, modal )
{
    QBoxLayout *layout = new QHBoxLayout( this );
    scrollView = new QScrollView( this );
    w = new QWidget( scrollView->viewport() );
    scrollView->addChild( w );
    scrollView->viewport()->setBackgroundMode(w->backgroundMode());
    layout->addWidget( scrollView );

    QTimer::singleShot(0, this, SLOT(slotFixLayout()));
}

void PageDialog::slotFixLayout()
{
    w->setMinimumWidth( scrollView->visibleWidth() );
}

#include "pagedialog.moc"








